spring:
  application:
    name: vaessl
  config:
    import:
      - "optional:file:.env.local[.properties]"
      - "optional:file:backend/.env.local[.properties]"
      - "optional:file:vaessl/backend/.env.local[.properties]"
  datasource:
    url: ${DB_URL}
    username: ${DB_USERNAME}
    password: ${DB_PASSWORD}
    driver-class-name: ${PG_DRIVER_CLASS_NAME}
  jpa:
    hibernate:
      ddl-auto: update
    show-sql: true
  ai:
    openai:
      base-url: ${OPENAI_BASE_URL}
      api-key: ${OPENAI_KEY}
      chat:
        options:
          model: gpt-4o-mini
  session:
    store-type: jdbc
    jdbc:
      initialize-schema: always
server:
  servlet:
    context-path: /api
vaessl:
  allowed-origins: ${ALLOWED_ORIGINS}
